# frozen_string_literal: true

$LOAD_PATH.push File.expand_path('lib', __dir__)
require 'omniauth/duodealer/version'

Gem::Specification.new do |s|
  s.name     = 'omniauth-duodealer-oauth2'
  s.version  = OmniAuth::Duodealer::VERSION
  s.authors  = ['Eric Raio']
  s.email    = ['eric@duodealer.com']
  s.summary  = 'duodealer strategy for OmniAuth'
  s.homepage = 'https://gitlab.com/duodealer/omniauth-duodealer-oauth2'
  s.license = 'MIT'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_paths = ['lib']
  s.required_ruby_version = '>= 2.1.9'

  s.add_runtime_dependency 'activesupport'
  s.add_runtime_dependency 'omniauth-oauth2', '~> 1.5.0'

  s.add_development_dependency 'minitest', '~> 5.6'
  s.add_development_dependency 'rake'
end
